Bug Hunting Session
Bug 121050 - Appearing of GtkSeparator on Notebookbars is different to standard rulers
Summary: Appearing of GtkSeparator on Notebookbars is different to standard rulers
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.4.7.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0 target:6.2.0.1
Keywords:
Depends on:
Blocks: Notebookbar-Theming gtk3-themeing
  Show dependency treegraph
 
Reported: 2018-10-30 06:47 UTC by andreas_k
Modified: 2018-12-15 13:18 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
wrong separator color (61.26 KB, image/png)
2018-10-30 06:47 UTC, andreas_k
Details
different separators in toolbar and statusbar (19.33 KB, image/png)
2018-11-19 10:41 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2018-10-30 06:47:43 UTC
Created attachment 146156 [details]
wrong separator color

In the GTK3 backend the separator for the Statusbar AND the notebookbars are black. They should have the same colors than in the default toolbar.
Comment 1 Heiko Tietze 2018-10-31 08:51:49 UTC
The standard toolbar shows separators in gray with some bright highlight color (3d effect) to the left. But on Notebookbars, for example the Contextual Groups (notebookbar_groups.ui), it is just a black line. 

Any idea, Caolan?

Version: 6.2.0.0.alpha1+
Build ID: bc32c683117c771f6402165b151cd621ab69780f
CPU threads: 8; OS: Linux 4.18; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); Calc: threaded

LXQt using Breeze theming for Gtk2/Gtk3 (but same issue with Raleight/Emacs)
Comment 2 andreas_k 2018-11-19 10:41:05 UTC
Created attachment 146765 [details]
different separators in toolbar and statusbar

the different colors are not only an issue in Notebookbar, also in Statusbar where you have also the hard black separtors
Comment 3 andreas_k 2018-12-10 23:03:35 UTC
what can I do that this bug will be fixed caolanm@redheat.com ?
Comment 4 Caolán McNamara 2018-12-11 08:59:44 UTC
it needs investigation, perhaps this is vcl/unx/gtk3/gtk3salnativewidgets-gtk.cxx ControlPart::SeparatorVert. Someone needs to see if that's the code thats getting called, by e.g. commenting it out and seeing if that makes a difference, and if its the right code, figure out what it should do instead, and if that's not the right code to see what widget is drawing the lines instead
Comment 5 andreas_k 2018-12-11 09:10:00 UTC
@bubli: Rough code pointer vcl/unx/gtk3/gtk3salnativewidgets-gtk.cxx The thing you're looking for is RenderType::Separator
Comment 6 Caolán McNamara 2018-12-13 14:32:29 UTC
how about https://gerrit.libreoffice.org/#/c/65110/ which draws such vertical lines like we do toolbar vertical separator
Comment 7 Commit Notification 2018-12-15 10:03:26 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/baa3c7389ec3f570be0486b3647ab424c7835ee1%5E%21

Resolves: tdf#121050 draw fixedlines like toolbar separators

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-12-15 13:18:24 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/d3e4c06ccb3aa4bb9078077a49dc2b2795835a5c%5E%21

Resolves: tdf#121050 draw fixedlines like toolbar separators

It will be available in 6.2.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.